﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraFollow : MonoBehaviour {
    public float speed;
    public float offset;
    public GameObject back;
    public GameObject front;

    public float backSpeed;
    public float frontSpeed;

    private void LateUpdate()
    {
        if(ReferenceManager.instance.gameController.currentPulse!=null){
            if(Mathf.Abs(ReferenceManager.instance.gameController.currentPulse.transform.position.y-transform.position.y) > offset){
                Vector3 pos = Vector3.Lerp(transform.position,new Vector3(transform.position.x, ReferenceManager.instance.gameController.currentPulse.transform.position.y,transform.position.z),speed) ;
                transform.position = pos;

                pos = Vector3.Lerp(back.transform.position,new Vector3(back.transform.position.x, ReferenceManager.instance.gameController.currentPulse.transform.position.y,back.transform.position.z),backSpeed) ;
                back.transform.position = pos;

                pos = Vector3.Lerp(front.transform.position,new Vector3(front.transform.position.x, ReferenceManager.instance.gameController.currentPulse.transform.position.y,front.transform.position.z),frontSpeed) ;
                front.transform.position = pos;
            }
        }
    }
}
