﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ScaleEffect : MonoBehaviour
{
    public Vector2 minScale, maxScale;
    public float speed = 1;

    // Update is called once per frame
    void Update()
    {
        transform.localScale = Vector2.Lerp(minScale, maxScale, Mathf.PingPong(Time.time * speed, 1));
    }
}
