﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class ReferenceManager : MonoBehaviour
{
    public GameController gameController;
    public GameObject neuronPrefab;
    public GameObject synapsePrefab;
    public Grid grid;
    public Pulse pulse;
    public GameObject pulseDestory;
    public SpriteRenderer frontBackground;
    public Image[] memories;
    public Image[] locks;

    static ReferenceManager _instance;
    public static ReferenceManager instance
    {
        get
        {
            if (_instance == null)
                _instance = FindObjectOfType<ReferenceManager>();
            return _instance;
        }
    }
}
