﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.EventSystems;

public class DragThresholdSetter : MonoBehaviour
{
    void Start()
    {
        //Set drag threshold according to display's pixel density
        int defaultThresholdValue = EventSystem.current.pixelDragThreshold;
        EventSystem.current.pixelDragThreshold = Mathf.Max(defaultThresholdValue, (int)(defaultThresholdValue * Screen.dpi / 160f));
    }
}
