﻿using UnityEngine;
using UnityEditor;
using System.Collections;

[CustomEditor(typeof(ColorSetter))]
[CanEditMultipleObjects]
public class ColorSetterEditor : Editor
{
    public override void OnInspectorGUI()
    {
        base.OnInspectorGUI();

        if (GUILayout.Button("Refresh"))
        {
            (target as ColorSetter).Refresh();
            EditorUtility.SetDirty(target);
        }
    }
}
